Create a support ticket
Create a support ticket for a Moov account.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/tickets.write scope.
If you're creating the ticket on behalf of another account, then you'll need to
specify the /accounts/{partnerAccountID}/tickets.write and /accounts/{accountID}/profile.read scopes.
POST
/accounts/{accountID}/tickets
curl -X POST "https://api.moov.io/accounts/{accountID}/tickets" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.01.00" \
-d '{
"title": "string",
"body": "string",
"contact": {
"email": "string"
}
}'mc, _ := moov.NewClient()
var accountID string // customer
mc.CreateTicket(ctx, accountID, moov.CreateTicket{
Title: "Help with problem",
Body: "Getting 400 error when using endpoint.",
Contact: moov.TicketContact{
Email: "melany.roberts@yahoo.com",
},
})
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.support.createTicket({
accountID: "4af4784a-c777-48f6-8211-063d5341f84b",
createTicket: {
title: "<value>",
body: "<value>",
contact: {
email: "Melany.Roberts@yahoo.com",
},
},
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$createTicket = new Components\CreateTicket(
title: '<value>',
body: '<value>',
contact: new Components\TicketContact(
email: 'Melany.Roberts@yahoo.com',
),
);
$response = $sdk->support->createTicket(
accountID: '4af4784a-c777-48f6-8211-063d5341f84b',
createTicket: $createTicket
);
if ($response->ticket !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.*;
import io.moov.sdk.models.errors.CreateTicketError;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.CreateTicketResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, CreateTicketError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
CreateTicketResponse res = sdk.support().createTicket()
.accountID("4af4784a-c777-48f6-8211-063d5341f84b")
.createTicket(CreateTicket.builder()
.title("<value>")
.body("<value>")
.contact(TicketContact.builder()
.email("Melany.Roberts@yahoo.com")
.build())
.build())
.call();
if (res.ticket().isPresent()) {
System.out.println(res.ticket().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.support.create_ticket(account_id="4af4784a-c777-48f6-8211-063d5341f84b", title="<value>", body="<value>", contact={
"email": "Melany.Roberts@yahoo.com",
})
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.support.create_ticket(account_id: '4af4784a-c777-48f6-8211-063d5341f84b', create_ticket: Models::Components::CreateTicket.new(
title: '<value>',
body: '<value>',
contact: Models::Components::TicketContact.new(
email: 'Melany.Roberts@yahoo.com'
)
))
unless res.ticket.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Support.CreateTicketAsync(
accountID: "4af4784a-c777-48f6-8211-063d5341f84b",
body: new CreateTicket() {
Title = "<value>",
Body = "<value>",
Contact = new TicketContact() {
Email = "Melany.Roberts@yahoo.com",
},
}
);
// handle responseThe request completed successfully.
{
"ticketID": "string",
"number": 0,
"title": "string",
"contact": {
"email": "string",
"name": "string"
},
"status": "new",
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z",
"latestMessageOn": "2019-08-24T14:15:22Z",
"closedOn": "2019-08-24T14:15:22Z",
"foreignID": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
{
"title": "string",
"body": "string",
"author": "string",
"contact": {
"email": "string",
"name": "string"
},
"foreignID": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.01.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.01.00
Path parameters
accountID
string
required
Body
application/json
body
string<html>
required
contact
object
required
Show child attributes
string
required
name
string
title
string
required
author
string
foreignID
string
Response
contact
object
required
Show child attributes
string
required
name
string
createdOn
string<date-time>
required
number
integer
required
status
string<enum>
required
Possible values:
new,
in-progress,
on-hold,
closed
ticketID
string
required
title
string
required
updatedOn
string<date-time>
required
closedOn
string<date-time>
foreignID
string
latestMessageOn
string<date-time>